Subject: Re: [[email-masked]: [PATCH] ethernet-bridge: update skb->priority in case forwarded frame has VLAN-header]

From: Patrick McHardy <[email-masked]>
Date: Tue, 08 Mar 2005 04:38:14 +0100

jamal wrote:
> Indeed that looks bad. But wouldnt have helped if we started at 0
> either. You need monotonically increasing values to make proper
> sense. So i suppose to do proper qos with L2, one must install the prio
> qdisc and rewrite the priomap.

One reason more to move it to an optional ebtables target. Or leave it
all to prio + u32. But I guess a CLASSIFY target similar to iptables
could also be useful otherwise.

> The mapping used in pfifo_fast is derived from RFC1349 4 bit TOS which
> is really considered toast these days. We need to revamp things - but
> this would require some surgery in the route code as well (so maybe safe
> to leave as is).

Are there any changes required besides ip_tos2prio ? More importantly,
it there a different meaningful mapping to priorities we can apply ?

Regards
Patrick